//*****************************************************************************
//*
//*
//*		ShutDownUtility.cpp : Legt das Klassenverhalten fr die Anwendung fest.
//*
//*
//*****************************************************************************
//	
//	Syntax:		[-S] [Zeit]
//	
//				-S	: Automatisch mit dieser Zeit starten
//
#include "StdAfx.h"
#include "ShutDownUtility.h"
#include "ShutDownUtilityDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CShutDownUtilityApp, CWinApp)
	//{{AFX_MSG_MAP(CShutDownUtilityApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// Das einzige CShutDownUtilityApp-Objekt
CShutDownUtilityApp theApp;


//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CShutDownUtilityApp::CShutDownUtilityApp()
{
}


//*****************************************************************************
//*
//*		InitInstance
//*
//*****************************************************************************
BOOL CShutDownUtilityApp::InitInstance()
{
const char	*pParam;
int			 i;
	
	CShutDownUtilityDlg sDlg;


	#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
	#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
	#endif

	for(i=1;i<__argc;i++)		// Zu einer bestimmten Addresse scrollen
		{
		pParam=__targv[i];

		if(!stricmp(pParam,"-S"))
			{
			sDlg.m_bAutoStart=1;
			continue;
			}

		sDlg.m_sAutoTime=pParam;
		}

	if(sDlg.m_sAutoTime!="" && sDlg.m_bAutoStart)
		{
		m_nCmdShow = SW_HIDE;
		}
	

	m_pMainWnd = &sDlg;
	sDlg.DoModal();

return FALSE;
}
